<?php

namespace Comitium5\DesignerBundle\Model\Traits\Layout;



use Comitium5\DesignerBundle\Model\Interfaces\Layout\LayoutPageInterface;

/**
 * Trait LayoutPageRelationTrait
 *
 * @author Tomàs Sayes <tomas@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces\Layout\LayoutPageInterface
 */
trait LayoutPageRelationTrait
{
    /**
     * @var LayoutPageInterface
     */
    protected $layoutPage;

    /**
     * @return LayoutPageInterface
     */
    public function getLayoutPage()
    {
        return $this->layoutPage;
    }
    /**
     * @param LayoutPageInterface $layoutPage
     * @return self
     */
    public function setLayoutPage(LayoutPageInterface $layoutPage)
    {
        $this->layoutPage = $layoutPage;
        return $this;
    }
}